Skip to main content

User restriction

You can look up the list of restricted users,
or apply or lift chat bans on certain users.

Load restricted users list​

HTTP request​

GET https://platformapi.thebackend.io/chat/v1/block_user_list

Responses​

Status: 200 OK
[
{
"gamer_id": "1234",
"count": 1,
"start_time": "2024-06-20T12:06:34Z",
"end_time": "2024-06-21T12:06:34Z"
}
]

Error​

Status: 400 Bad Request
{
"message": "There is a problem with the user credentials.",
"code": 400701,
"error": true
}

Apply chat ban to certain user​

HTTP request​

PUT https://platformapi.thebackend.io/chat/v1/block_user_chat

Request body​

Property nameTypeDescription
gamer_idstringUser's Unique ID
daysnumberDays of restriction
{
"gamer_id": "1234",
"days": 3
}

Responses​

If successful, the result is returned as a request body.

Error​

Status: 400 Bad Request
{
"message": "There is a problem with the user credentials.",
"code": 400701,
"error": true
}

Lift certain user's chat ban​

HTTP request​

DELETE https://platformapi.thebackend.io/chat/v1/block_user_chat

Request body​

Property nameTypeDescription
gamer_idstringUser's Unique ID
{
"gamer_id": "1234",
}

Responses​

If successful, the result is returned as a request body.

Error​

Status: 400 Bad Request
{
"message": "There is a problem with the user credentials.",
"code": 400701,
"error": true
}